Subject: Re: bug#22715: 25.0.91; Point randomly jumps during key entry

From: Eli Zaretskii <[email-masked]>
Date: Fri, 19 Feb 2016 12:30:07 +0200

> Date: Thu, 18 Feb 2016 21:22:40 -0500
> From: Steve Revilak <[email-masked]>
> 
> As an experiment, I went back to my "normal emacs", but with a few
> lines in ~/.emacs commented out:
> 
>    ;(semantic-mode 1)
>    ;(semantic-stickyfunc-mode t)
> 
> I also commented out `setq' definitions for
> semanticdb-default-save-directory and semanticdb-project-roots.  With
> those elements commented out, I couldn't reproduce the point-jumping
> behavior.  (I'll continue to test in this configuration, to be more
> certain that the non-reproduce isn't just a coincidence.)
> 
> If it would help, I can restore the aforementioned `semantic' pieces,
> and see if I can correlate point-jumping with specific timer events.
> I can also try the save-excursion patch in
> https://lists.gnu.org/archive/html/emacs-devel/2016-01/msg00029.html.

That would help, thanks.  Eventually, we need to establish what chain
of events causes redisplay when point is in a temporary location.

> Finally, 
> 
>    https://lists.gnu.org/archive/html/emacs-devel/2016-01/msg00031.html
> 
> suggests this might be related to Bug #15045.

That bug was resolved.  So if this is related, there should be some
other place in Semantic that needs to take advantage of the changes
made to resolve that bug.

Thanks.